diff --git a/tests/ovn-macros.at b/tests/ovn-macros.at
index 9b01b1491..47cf67762 100644
--- a/tests/ovn-macros.at
+++ b/tests/ovn-macros.at
@@ -1007,3 +1007,4 @@ m4_define([OFTABLE_CHK_IN_PORT_SEC_ND], [74])
 m4_define([OFTABLE_CHK_OUT_PORT_SEC], [75])
 m4_define([OFTABLE_ECMP_NH_MAC], [76])
 m4_define([OFTABLE_ECMP_NH], [77])
+m4_define([OFTABLE_CHK_LB_AFFINITY], [78])
diff --git a/tests/system-ovn-kmod.at b/tests/system-ovn-kmod.at
index 88c72edcd..454dacd73 100644
--- a/tests/system-ovn-kmod.at
+++ b/tests/system-ovn-kmod.at
@@ -146,8 +146,8 @@ tcp,orig=(src=172.16.1.2,dst=172.16.1.100,sport=<cleared>,dport=<cleared>),reply
 ])
 
 dp_key=$(printf "0x%x" $(fetch_column datapath tunnel_key external_ids:name=R2))
-AT_CHECK_UNQUOTED([ovs-ofctl dump-flows br-int table=78 --no-stats | strip_cookie | sed -e 's/load:0xc0a80[[0-9]]02/load:0xc0a80<cleared>02/'], [0], [dnl
- table=78, idle_timeout=60, tcp,metadata=$dp_key,nw_src=172.16.1.2,nw_dst=172.16.1.100,tp_dst=8080 actions=load:0x1->NXM_NX_REG10[[14]],load:0xc0a80<cleared>02->NXM_NX_REG4[[]],load:0x50->NXM_NX_REG8[[0..15]]
+AT_CHECK_UNQUOTED([ovs-ofctl dump-flows br-int table=OFTABLE_CHK_LB_AFFINITY --no-stats | strip_cookie | sed -e 's/load:0xc0a80[[0-9]]02/load:0xc0a80<cleared>02/'], [0], [dnl
+ table=OFTABLE_CHK_LB_AFFINITY, idle_timeout=60, tcp,metadata=$dp_key,nw_src=172.16.1.2,nw_dst=172.16.1.100,tp_dst=8080 actions=load:0x1->NXM_NX_REG10[[14]],load:0xc0a80<cleared>02->NXM_NX_REG4[[]],load:0x50->NXM_NX_REG8[[0..15]]
 ])
 
 check_affinity_flows () {
@@ -178,7 +178,7 @@ ovn-nbctl lr-lb-add R2 lb11-no-aff
 OVS_WAIT_FOR_OUTPUT([
     for i in $(seq 1 5); do
         NS_EXEC([alice1], [nc -z 172.16.1.101 8080])
-        ovs-ofctl del-flows br-int table=78
+        ovs-ofctl del-flows br-int table=OFTABLE_CHK_LB_AFFINITY
     done
 
     dnl Each server should have at least one connection.
@@ -235,7 +235,7 @@ AT_CHECK([ovs-appctl dpctl/flush-conntrack])
 OVS_WAIT_FOR_OUTPUT([
     for i in $(seq 1 5); do
         NS_EXEC([foo1], [nc -z 192.168.2.101 8080])
-        ovs-ofctl del-flows br-int table=78
+        ovs-ofctl del-flows br-int table=OFTABLE_CHK_LB_AFFINITY
     done
 
     dnl Each server should have at least one connection.
@@ -443,8 +443,8 @@ tcp,orig=(src=fd72::2,dst=fd30::1,sport=<cleared>,dport=<cleared>),reply=(src=fd
 ])
 
 dp_key=$(printf "0x%x" $(fetch_column datapath tunnel_key external_ids:name=R2))
-AT_CHECK_UNQUOTED([ovs-ofctl dump-flows br-int table=78 --no-stats | strip_cookie | sed -e 's/load:0xfd1[[0-9]]000000000000/load:0xfd1<cleared>000000000000/'], [0], [dnl
- table=78, idle_timeout=60, tcp6,metadata=$dp_key,ipv6_src=fd72::2,ipv6_dst=fd30::1,tp_dst=8080 actions=load:0x1->NXM_NX_REG10[[14]],load:0x2->NXM_NX_XXREG1[[0..63]],load:0xfd1<cleared>000000000000->NXM_NX_XXREG1[[64..127]],load:0x50->NXM_NX_REG8[[0..15]]
+AT_CHECK_UNQUOTED([ovs-ofctl dump-flows br-int table=OFTABLE_CHK_LB_AFFINITY --no-stats | strip_cookie | sed -e 's/load:0xfd1[[0-9]]000000000000/load:0xfd1<cleared>000000000000/'], [0], [dnl
+ table=OFTABLE_CHK_LB_AFFINITY, idle_timeout=60, tcp6,metadata=$dp_key,ipv6_src=fd72::2,ipv6_dst=fd30::1,tp_dst=8080 actions=load:0x1->NXM_NX_REG10[[14]],load:0x2->NXM_NX_XXREG1[[0..63]],load:0xfd1<cleared>000000000000->NXM_NX_XXREG1[[64..127]],load:0x50->NXM_NX_REG8[[0..15]]
 ])
 
 check_affinity_flows () {
@@ -475,7 +475,7 @@ ovn-nbctl lr-lb-add R2 lb11-no-aff
 OVS_WAIT_FOR_OUTPUT([
     for i in $(seq 1 5); do
         NS_EXEC([alice1], [nc -z fd30::2 8080])
-        ovs-ofctl del-flows br-int table=78
+        ovs-ofctl del-flows br-int table=OFTABLE_CHK_LB_AFFINITY
     done
 
     dnl Each server should have at least one connection.
@@ -530,7 +530,7 @@ ovn-nbctl ls-lb-add foo lb30-no-aff
 OVS_WAIT_FOR_OUTPUT([
     for i in $(seq 1 5); do
         NS_EXEC([foo1], [nc -z fd12::b 8080])
-        ovs-ofctl del-flows br-int table=78
+        ovs-ofctl del-flows br-int table=OFTABLE_CHK_LB_AFFINITY
     done
 
     ovs-appctl dpctl/dump-conntrack | FORMAT_CT(fd12::b) | grep -v fe80 | \
diff --git a/tests/system-ovn.at b/tests/system-ovn.at
index 27b3cdc5b..e916d9ab0 100644
--- a/tests/system-ovn.at
+++ b/tests/system-ovn.at
@@ -12087,10 +12087,10 @@ OVS_WAIT_UNTIL([
     ip netns exec vm1 nc -z 43.43.43.43 80 &> /dev/null
 ])
 
-OVS_WAIT_UNTIL([test $(ovs-ofctl dump-flows br-int | grep 'table=78, n_packets' -c) -eq 1])
+OVS_WAIT_UNTIL([test $(ovs-ofctl dump-flows br-int | grep 'table=OFTABLE_CHK_LB_AFFINITY, n_packets' -c) -eq 1])
 
 dnl Find the backend that was hit.
-backend=$(ovs-ofctl dump-flows br-int table=78 | \
+backend=$(ovs-ofctl dump-flows br-int table=OFTABLE_CHK_LB_AFFINITY | \
     grep -oE 'load:0x2a2a2a0[[12]]' | sed -n 's/load:0x2a2a2a0\(.*\)/\1/p')
 
 dnl Remove the backend that was hit.
@@ -12102,7 +12102,7 @@ fi
 check ovn-nbctl --wait=hv sync
 
 dnl The learnt flow should also be auto deleted.
-AT_CHECK([ovs-ofctl dump-flows br-int | grep 'table=78, n_packets' -c], [1], [dnl
+AT_CHECK([ovs-ofctl dump-flows br-int | grep 'table=OFTABLE_CHK_LB_AFFINITY, n_packets' -c], [1], [dnl
 0
 ])
 