diff --git a/tests/ovn-macros.at b/tests/ovn-macros.at
index d3e027424..29195fc50 100644
--- a/tests/ovn-macros.at
+++ b/tests/ovn-macros.at
@@ -1005,3 +1005,4 @@ m4_define([OFTABLE_GET_FDB], [71])
 m4_define([OFTABLE_LOOKUP_FDB], [72])
 m4_define([OFTABLE_CHK_IN_PORT_SEC], [73])
 m4_define([OFTABLE_CHK_IN_PORT_SEC_ND], [74])
+m4_define([OFTABLE_CHK_OUT_PORT_SEC], [75])
diff --git a/tests/ovn.at b/tests/ovn.at
index e05eef808..2f8aa4840 100644
--- a/tests/ovn.at
+++ b/tests/ovn.at
@@ -34273,15 +34273,16 @@ sw0p2_key=$(printf "%x" $(fetch_column Port_Binding tunnel_key logical_port=sw0p
 
 in_port_sec=OFTABLE_CHK_IN_PORT_SEC
 in_port_sec_nd=OFTABLE_CHK_IN_PORT_SEC_ND
+out_port_sec=OFTABLE_CHK_OUT_PORT_SEC
 
 # There should be no flows in table OFTABLE_CHK_IN_PORT_SEC, 74 and 75 in hv1 and hv2
 > hv1_t${in_port_sec}_flows.expected
 > hv1_t${in_port_sec_nd}_flows.expected
-> hv1_t75_flows.expected
+> hv1_t${out_port_sec}_flows.expected
 
 > hv2_t${in_port_sec}_flows.expected
 > hv2_t${in_port_sec_nd}_flows.expected
-> hv2_t75_flows.expected
+> hv2_t${out_port_sec}_flows.expected
 
 check_port_sec_offlows() {
     hv=$1
@@ -34293,11 +34294,11 @@ check_port_sec_offlows() {
 
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv1 75
+check_port_sec_offlows hv1 OFTABLE_CHK_OUT_PORT_SEC
 
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv2 75
+check_port_sec_offlows hv2 OFTABLE_CHK_OUT_PORT_SEC
 
 # Set port security for sw0p1
 check ovn-nbctl --wait=hv lsp-set-port-security sw0p1 "00:00:00:00:00:03"
@@ -34319,18 +34320,18 @@ echo " table=OFTABLE_CHK_IN_PORT_SEC_ND, priority=80,arp,reg14=0x$sw0p1_key,meta
 
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC_ND
 
-echo " table=75, priority=80,reg15=0x$sw0p1_key,metadata=0x1 actions=load:0x1->NXM_NX_REG10[[12]]
- table=75, priority=85,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03 actions=load:0->NXM_NX_REG10[[12]]" > hv1_t75_flows.expected
+echo " table=OFTABLE_CHK_OUT_PORT_SEC, priority=80,reg15=0x$sw0p1_key,metadata=0x1 actions=load:0x1->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=85,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03 actions=load:0->NXM_NX_REG10[[12]]" > hv1_t${out_port_sec}_flows.expected
 
-check_port_sec_offlows hv1 75
+check_port_sec_offlows hv1 OFTABLE_CHK_OUT_PORT_SEC
 
 > hv2_t${in_port_sec}_flows.expected
 > hv2_t${in_port_sec_nd}_flows.expected
-> hv2_t75_flows.expected
+> hv2_t${out_port_sec}_flows.expected
 
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv2 75
+check_port_sec_offlows hv2 OFTABLE_CHK_OUT_PORT_SEC
 
 # Add IPv4 addresses to sw0p1
 check ovn-nbctl --wait=hv lsp-set-port-security sw0p1 "00:00:00:00:00:03 10.0.0.3" "00:00:00:00:00:13 10.0.0.13"
@@ -34358,25 +34359,25 @@ echo " table=OFTABLE_CHK_IN_PORT_SEC_ND, priority=80,arp,reg14=0x$sw0p1_key,meta
 
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC_ND
 
-echo " table=75, priority=80,reg15=0x$sw0p1_key,metadata=0x1 actions=load:0x1->NXM_NX_REG10[[12]]
- table=75, priority=85,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=85,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=90,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03 actions=load:0x1->NXM_NX_REG10[[12]]
- table=75, priority=90,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0x1->NXM_NX_REG10[[12]]
- table=75, priority=90,ipv6,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03 actions=load:0x1->NXM_NX_REG10[[12]]
- table=75, priority=90,ipv6,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0x1->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03,nw_dst=10.0.0.3 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03,nw_dst=224.0.0.0/4 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03,nw_dst=255.255.255.255 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13,nw_dst=10.0.0.13 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13,nw_dst=224.0.0.0/4 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13,nw_dst=255.255.255.255 actions=load:0->NXM_NX_REG10[[12]]" > hv1_t75_flows.expected
-
-check_port_sec_offlows hv1 75
+echo " table=OFTABLE_CHK_OUT_PORT_SEC, priority=80,reg15=0x$sw0p1_key,metadata=0x1 actions=load:0x1->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=85,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=85,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=90,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03 actions=load:0x1->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=90,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0x1->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=90,ipv6,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03 actions=load:0x1->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=90,ipv6,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0x1->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03,nw_dst=10.0.0.3 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03,nw_dst=224.0.0.0/4 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:03,nw_dst=255.255.255.255 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13,nw_dst=10.0.0.13 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13,nw_dst=224.0.0.0/4 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p1_key,metadata=0x1,dl_dst=00:00:00:00:00:13,nw_dst=255.255.255.255 actions=load:0->NXM_NX_REG10[[12]]" > hv1_t${out_port_sec}_flows.expected
+
+check_port_sec_offlows hv1 OFTABLE_CHK_OUT_PORT_SEC
 
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv2 75
+check_port_sec_offlows hv2 OFTABLE_CHK_OUT_PORT_SEC
 
 # Configure IPv4 and IPv6 addresses in sw0p2
 check ovn-nbctl --wait=hv lsp-set-port-security sw0p2 "00:00:00:00:00:04 10.0.0.4 20.0.0.4/24 30.0.0.0/16 1000::4 2000::/64" "00:00:00:00:00:13 aef0::4"
@@ -34384,11 +34385,11 @@ check ovn-nbctl --wait=hv lsp-set-port-security sw0p2 "00:00:00:00:00:04 10.0.0.
 # There should be no changes in hv1 and hv2 as sw0p2 is not claimed.
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv1 75
+check_port_sec_offlows hv1 OFTABLE_CHK_OUT_PORT_SEC
 
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv2 75
+check_port_sec_offlows hv2 OFTABLE_CHK_OUT_PORT_SEC
 
 as hv2
 ovs-vsctl -- add-port br-int hv2-vif0 -- \
@@ -34398,7 +34399,7 @@ wait_for_ports_up
 # There should be no changes in hv1
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv1 75
+check_port_sec_offlows hv1 OFTABLE_CHK_OUT_PORT_SEC
 
 #hv2 ovn-controller should program flows.
 echo " table=OFTABLE_CHK_IN_PORT_SEC, priority=80,reg14=0x$sw0p2_key,metadata=0x1 actions=load:0x1->NXM_NX_REG10[[12]]
@@ -34443,48 +34444,48 @@ echo " table=OFTABLE_CHK_IN_PORT_SEC_ND, priority=80,arp,reg14=0x$sw0p2_key,meta
 
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC_ND
 
-echo " table=75, priority=80,reg15=0x$sw0p2_key,metadata=0x1 actions=load:0x1->NXM_NX_REG10[[12]]
- table=75, priority=85,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=85,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=90,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04 actions=load:0x1->NXM_NX_REG10[[12]]
- table=75, priority=90,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0x1->NXM_NX_REG10[[12]]
- table=75, priority=90,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04 actions=load:0x1->NXM_NX_REG10[[12]]
- table=75, priority=90,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0x1->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=10.0.0.4 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=20.0.0.255 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=20.0.0.4 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=224.0.0.0/4 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=255.255.255.255 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=30.0.0.0/16 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,ipv6_dst=1000::4 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,ipv6_dst=2000::/64 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,ipv6_dst=fe80::200:ff:fe00:4 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,ipv6_dst=ff00::/8 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13,ipv6_dst=aef0::4 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13,ipv6_dst=fe80::200:ff:fe00:13 actions=load:0->NXM_NX_REG10[[12]]
- table=75, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13,ipv6_dst=ff00::/8 actions=load:0->NXM_NX_REG10[[12]]" > hv2_t75_flows.expected
-
-check_port_sec_offlows hv2 75
+echo " table=OFTABLE_CHK_OUT_PORT_SEC, priority=80,reg15=0x$sw0p2_key,metadata=0x1 actions=load:0x1->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=85,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=85,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=90,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04 actions=load:0x1->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=90,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0x1->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=90,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04 actions=load:0x1->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=90,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13 actions=load:0x1->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=10.0.0.4 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=20.0.0.255 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=20.0.0.4 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=224.0.0.0/4 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=255.255.255.255 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ip,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,nw_dst=30.0.0.0/16 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,ipv6_dst=1000::4 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,ipv6_dst=2000::/64 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,ipv6_dst=fe80::200:ff:fe00:4 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:04,ipv6_dst=ff00::/8 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13,ipv6_dst=aef0::4 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13,ipv6_dst=fe80::200:ff:fe00:13 actions=load:0->NXM_NX_REG10[[12]]
+ table=OFTABLE_CHK_OUT_PORT_SEC, priority=95,ipv6,reg15=0x$sw0p2_key,metadata=0x1,dl_dst=00:00:00:00:00:13,ipv6_dst=ff00::/8 actions=load:0->NXM_NX_REG10[[12]]" > hv2_t${out_port_sec}_flows.expected
+
+check_port_sec_offlows hv2 OFTABLE_CHK_OUT_PORT_SEC
 
 check ovn-nbctl --wait=hv lsp-set-port-security sw0p2 ""
 
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv1 75
+check_port_sec_offlows hv1 OFTABLE_CHK_OUT_PORT_SEC
 
 > hv2_t${in_port_sec}_flows.expected
 > hv2_t${in_port_sec_nd}_flows.expected
-> hv2_t75_flows.expected
+> hv2_t${out_port_sec}_flows.expected
 
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv2 75
+check_port_sec_offlows hv2 OFTABLE_CHK_OUT_PORT_SEC
 
 check ovn-nbctl --wait=hv lsp-set-port-security sw0p2 "00:00:00:00:00:04"
 
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv1 75
+check_port_sec_offlows hv1 OFTABLE_CHK_OUT_PORT_SEC
 
 echo " table=OFTABLE_CHK_IN_PORT_SEC, priority=80,reg14=0x$sw0p2_key,metadata=0x1 actions=load:0x1->NXM_NX_REG10[[12]]
  table=OFTABLE_CHK_IN_PORT_SEC, priority=90,reg14=0x$sw0p2_key,metadata=0x1,dl_src=00:00:00:00:00:04 actions=resubmit(,OFTABLE_CHK_IN_PORT_SEC_ND)
@@ -34497,15 +34498,15 @@ check ovn-nbctl --wait=hv lsp-del sw0p2
 
 > hv2_t${in_port_sec}_flows.expected
 > hv2_t${in_port_sec_nd}_flows.expected
-> hv2_t75_flows.expected
+> hv2_t${out_port_sec}_flows.expected
 
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv1 75
+check_port_sec_offlows hv1 OFTABLE_CHK_OUT_PORT_SEC
 
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv2 75
+check_port_sec_offlows hv2 OFTABLE_CHK_OUT_PORT_SEC
 
 # Release sw0p1 from hv1
 as hv1 ovs-vsctl del-port hv1-vif0
@@ -34514,15 +34515,15 @@ wait_column '' Port_Binding chassis logical_port=sw0p1
 
 > hv1_t${in_port_sec}_flows.expected
 > hv1_t${in_port_sec_nd}_flows.expected
-> hv1_t75_flows.expected
+> hv1_t${out_port_sec}_flows.expected
 
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv1 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv1 75
+check_port_sec_offlows hv1 OFTABLE_CHK_OUT_PORT_SEC
 
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC
 check_port_sec_offlows hv2 OFTABLE_CHK_IN_PORT_SEC_ND
-check_port_sec_offlows hv2 75
+check_port_sec_offlows hv2 OFTABLE_CHK_OUT_PORT_SEC
 
 OVN_CLEANUP([hv1], [hv2])
 AT_CLEANUP